> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/fen-xi/analytics.click.md).

# Analytics.click

### 功能说明

当发生触摸或点击时，会记录分析日志。用于记录像购买按钮点击这样的重要用户操作。 `event` 类型的日志中 `event_type: 'click'` 参数也会一并记录。

`log_name`如果不指定，则会基于当前路径 `<pathname>::click` 格式的名称会自动使用。除了你传递的值之外，日志参数还会自动包含当前页面的查询字符串（`search`）、进入路径（`referrer`）、部署信息（`deployment_id`, `deployment_timestamp`）也会自动包含。

当前页面 URL 如果是 `https`则不会发送日志。

### 类型

```ts
Analytics.click(params?: { log_name?: string } & { [key: string]: LogParam }): Promise<void> | undefined;
```

**参数**

```ts
// 除 log_name 之外的键也会作为日志参数一并记录。
type LogParam = string | number | boolean | null | undefined;
```

**响应**

当前页面 URL 如果是 `https`如果不是，则不会发送日志，并且 `undefined`会返回。

### 示例代码

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

const button = document.querySelector("#buy-button");

button.addEventListener("click", () => {
  Analytics.click({ log_name: "buy_button", text: "购买" });
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/fen-xi/analytics.click.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
